POST/api/v2/admin/vouchers/imports/preview

POST /api/v2/admin/vouchers/imports/preview

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
companyId (query)unknownNo
Idempotency-Key (header)stringNo

Request body

application/x-www-form-urlencoded

Request body fields
FieldTypeRequiredDescription
ContentTypestringNo
ContentDispositionstringNo
HeadersobjectNo
LengthunknownNo
NamestringNo
FileNamestringNo

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
JobIdstring (uuid)Yes
StatusstringYes
TotalRowsunknownYes
ValidRowsunknownYes
InvalidRowsunknownYes
Rowsarray of VoucherImportRowPreviewYes

Example request

curl -X POST "https://{base_url}/api/v2/admin/vouchers/imports/preview" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/x-www-form-urlencoded" \
  -d '{}'

This page is generated from the live OpenAPI specification and always matches the current API.